Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 7876 - CVS module windows do not respond to "enter" key to close
CVS module windows do not respond to "enter" key to close
Status: VERIFIED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscvs
3.x
PC Windows 3.1/NT
: P4 (vote)
: 3.x
Assigned To: issues@obsolete
issues@obsolete
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-11 23:00 UTC by jhoffman
Modified: 2001-05-29 14:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jhoffman 2000-10-11 23:00:11 UTC
Output windows and entry windows in the CVS module do not respond to the "enter"
key, so the user must either tab to the button and hit space, or must use the
mouse to close the window.  Java Look & Feel recommends that the Close button be
a default button on the window, and should respond to the Enter or Return key.

See http://java.sun.com/products/jlf/dg/higl.htm#40758
Comment 1 Martin Entlicher 2000-10-23 19:19:59 UTC
Added default button for output windows.
Fixed in main trunk (Build #54) and boston branch (build #1129).
Comment 2 Jiri Kovalsky 2000-10-24 15:06:59 UTC
Check it once again please, because behaviour is the same as described in this
bug. Verified in build #1129 on Windows 2000. Maybe it has something to do with
OS and setting focus.
Comment 3 Martin Entlicher 2000-10-24 15:32:59 UTC
It's strange that it behaves in a different way on different platform. That's
probably a bug of JDK.
I'll try to get it to work under Windoze too.
Comment 4 dmladek 2001-02-05 12:56:59 UTC
Automaticaly changed Version from "Other" to "Dev"
Version "Other" is nonsence
Comment 5 Jan Chalupa 2001-03-12 12:21:56 UTC
Version: 'Dev' -> 3.2
Comment 6 Martin Entlicher 2001-04-26 11:25:00 UTC
This issue is hopefully fixed for all CVS dialogs.
Please reopen the issue with a description of dialogs where this does not work.
Comment 7 Jan Chalupa 2001-05-06 15:35:58 UTC
Target milestone -> 3.2
Comment 8 dmladek 2001-05-29 14:46:03 UTC
Verified on [NBdev-198]
on unixes OS, there might be problem with focus (how it is deffined in seettings
of your WindowManager). If dialog has focus(it is active window) (in SDImode)
this work. But sometimes dialog doesn't get focus and first you must get somehow
focus. Problem of winmanager.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo